Bug 171142 - remote printer jobs are out of order or duplicated
remote printer jobs are out of order or duplicated
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cups (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: 176344
  Show dependency treegraph
 
Reported: 2005-10-18 12:18 EDT by shawn oconnor
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2007-0225
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 18:48:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description shawn oconnor 2005-10-18 12:18:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
When sending multiple (10-20) small (1-2K) print jobs to a remote CUPS printer (epson dot matrix) via IPP using lpr, jobs print out-of-order, and intermittently duplicated.

Problem does not occur when printer is connected to local port, or when lpd protocol is used.

Version-Release number of selected component (if applicable):
cups-1.1.22-0,.rc1.9.6

How reproducible:
Always

Steps to Reproduce:
1. Configure a local printer on a machine
2. Allow CUPS to discover it on another machine
3. Send 10-20 small print jobs to the remote printer
  

Actual Results:  Multiple test runs will produce different output order each time.

Expected Results:  Output should be identical.

Additional info:

LPRng does not exhibit this behaviour.

Using lpd protocol with cups is too slow to be an acceptable workaround.
Comment 1 Tim Waugh 2005-10-19 10:06:59 EDT
Thanks for your report.  I would like to know more information:

1. What sort of jobs are these?  PostScript jobs, or text files, or something else?

2. How precisely are you submitting the jobs?  One long lpr command line, or
multiple single-file lpr command lines?  All from the same machine?

3. Does cups-1.1.22-0.rc1.9.8 produce the same behaviour?  (See
https://rhn.redhat.com/errata/RHSA-2005-772.html)
Comment 2 shawn oconnor 2005-10-19 10:51:22 EDT
(A1&2) We're sending multi-line text-only print jobs with multiple calls to lpr.
We've managed to reproduce the problem with a simple script -

#!/bin/csh -f

@ x = 0
set file="print.tmp"
set printqueue = "fsp2"

while($x < 25)
    echo "Print job $x" > $file
    lpr -r -P$printqueue $file
    @ x ++
end

(A3) Yes, I tried upgrading to the CUPS in RHEL4U2; There was no change in
behaviour.
Comment 3 RHEL Product and Program Management 2006-08-18 13:13:46 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 12 Red Hat Bugzilla 2007-05-01 18:48:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0225.html

Note You need to log in before you can comment on or make changes to this bug.